# Drone CI

> Drone est construit avec Go et utilise Docker. Il peut être exécuté à l’intérieur d’un conteneur même avec très peu de configuration.
>
> <cite>[Codeflow][article]</cite>

## Documentation

Drone est un logiciel d'intégration continue léger. Il est utilisé comme plate-forme de test et/ou de livraison automatisée.

Le service est basé sur 2 briques :
- le coté serveur qui prend en compte les demande de l'extérieur avec une interface (_[server](./server)_)
- le coté exécution des tâches (_[runner](./runner)_).

### Génération de clé

Dans la documentation officielle, il est conseillé de générer les clés avec la commande :

```
openssl rand -hex 16
```

## Liens

- [Site internet][site]
- [Code source][source]
- [Docker Hub][dockerhub]

[article]: https://www.codeflow.site/fr/article/how-to-perform-continuous-integration-testing-with-drone-io-on-coreos-and-docker
[site]: https://drone.io/
[source]: https://github.com/drone/drone
[dockerhub]: https://hub.docker.com/r/drone/drone
