# Exemples

Ce dossier montre comment mettre en place des services en copiant et modifiant seulement des fichiers de configuration.

## .env

Docker Compose utilise automatiquement un fichier `.env` pour charger des variables d'environnements. Il suffit donc de créer ce fichier et de surcharger les variables utilisés dans un service pour le personnaliser.

La variable `COMPOSE_FILE` permet d'indiquer quel(s) fichier(s) yaml il doit utiliser.

Si nous allons dans le dossier `traefik.cool.life` par example, il est possible de lancer la commande `docker-compose up -d` pour lancer le service

## DOCKER_HOST

Si vous gérez des serveurs à distance, il est possible d'utiliser la variable `DOCKER_HOST` dans votre fichier `.env` pour expliquer que le service doit s’exécuter sur ce serveur.

> RésiLien utilise maintenant ce système avec une génération automatique des fichiers .env à l'aide d'Ansible, nous permettant de facilement déployer un nouveau service, de le déplacer de serveur
